Welcome to use VIA V-RAID

By using VIA V-RAID, you can access to different RAID functions efficiently.

RAID is the abbreviation for "Redundant Arrays of Inexpensive Disks". There are various RAID disk array types such as RAID 0 (striping), RAID 1(Mirroring), RAID 0+1(Striping and Mirroring), RAID 5 (striping with parity) ... etc. Compared with single disk, some types of RAID array can enhance fault-tolerant ability (like RAID 1) , some types of RAID can raise disk I/O speed (like RAID 0) and some of them can achieve both (like RAID 0+1). VIA V-RAID implements main RAID functions in conjunction with the hardware, hence it's very easy for you to achieve RAID functions using VIA V-RAID.

Getting started with VIA V-RAID

Using VIA V-RAID


Getting Started

VIA V-RAID is currently implemented with four main RAID types: RAID 0 (striping), RAID 1 (mirroring), RAID 0+1 (striping&mirroring) and Span (just a bunch of disks). You can configure RAID functions by this GUI tool or the tool provided in BIOS. To use this GUI tool, just run the raid_tool.exe program, double click the program icon [image] on desktop task bar [image] to show the program window, and then do the corresponding configuration works.

The Application Window

Functions Overview


The Application Window

Following is the main window of VIA V-RAID:

Show/Hide application's main window:

When the application has started, the main window hides itself automatically. To show the application window, you can either double click the application's taskbar icon, or right click its taskbar icon and then click the Open Program command on the popup menu.

To hide the main window, you can click the "Minimize" or "Close Window" buttons [image] on the upper-right corner of the main window.

To exit VIA V-RAID , you can either click Operation => Exit on the menu bar or right click application's the task bar icon and then select Exit Program.

Layout of application's main window:

There are two panes in the main window:

The left pane presents a current system tree view for disk arrays and disks not in any array. It also shows a tree view that displays RAID controllers, IDE channels and the physical locations of all disks. You can shift these two tree views in left pane by clicking the first toolbar button (button image is [image] or [image]) or press shortcut key CTRL+H. These two tree views are called Array View(view by devices) and Controller View(view by controllers) respectively. The application window above is an example of the Array View, and the window beneath is an example of the Controller View:

The right pane shows detailed information for the currently selected tree item in the left pane, such as information of a disk, a RAID controller...etc.

You can use the TAB key to shift current focus between the left and right panes instead of clicking in one of these two panes directly by mouse.

Main functions:

By VIA V-RAID, you can create various types of RAID disk arrays, remove disk arrays, synchronize mirror disks...etc. Further details for these features are presented in the following Functions Overview.


Functions Overview

Create Disk Array:

You can click on toolbar button, menu item or press corresponding shortcut key to create a type of RAID disk array. When free disks (disks not in any disk array) are selected to create a disk array, original data on these disks maybe lost, so be sure these data will never be needed or conduct necessary back-ups. Click following links to get the details for creating specific type of disk array:

Create Mirror Array (RAID 1)

Create Stripe Array (RAID 0)

Create RAID 0+1

Create Span Array (JBOD)

Create RAID 5

note: You can only use disks attached on the same RAID controller to create a disk array. If there are more than one RAID controllers on current system, this VIA V-RAID will firstly prompt you to select a host RAID controller before creating any new disk array.

Remove Disk Array:

To remove a disk array, shift the left pane of main application window to Array View, select the upper-most level tree node of the to be removed disk array and click toolbar button [image] or menu item Operation => Remove Array . You can also remove a disk array by right click the upper-most level array node and click Remove Array on the pop-up shortcut menu.

For more details, please refer to Remove Disk Array.

Add/Remove Spare Disk:

This function is specified for RAID1(Mirroring) disk array. A Spare disk is a special array disk that will be used to replace the Source or Mirror disk when one of them meets disk failure.

To Add a Spare disk to or Remove Spare from a RAID1 disk array , shift the left pane of main application window to Array View ,select the upper-most level tree node of the RAID 1 array and click the toolbar button [image] or menu item Operation => Add/Remove Spare . You can also call the function by right click the array node and click Add/Remove Spare on the pop-up shortcut menu.

For more details, please refer to Add/Remove Spare Disk .

Synchronize Mirror Disk:

Synchronize Mirror Disk forces data on the mirror disk to be identical with the source disk by copying the data from the one with newer data to the other disk. Note that the source disk does not always have the latest data.

For more details, please refer to Synchronize Mirror Disk.

Repair Broken Disk Array:

If some disk(s) in a disk array can not work any more (due to disk failure or disk absence), the disk array will be in broken status. At this time, the array's icon in the Array View will looks like [image] . To repair the broken disk array, right click the array icon and click Repair Broken Array on the pop-up shortcut menu.

Note that the Spare disk in a RAID1 array is only a replacement disk in case of a Source or Mirror disk failure. So the failure or absence of a Spare disk does not affect the RAID1 array.

For more details, please refer to Repair Broken Array.

Check All Disks:

You can check if all hard disks work normally by executing the Check All Disks command.

To execute the command, please click toolbar button [image] or menu item Operation => Check All Disks. For more details, please refer to Check All Disks .

View Event Log:

Main application events such as Create Disk Array, Remove Disk Array... etc., will be recorded in a log file.

To view the log, please click toolbar button [image] or menu item Operation => View Event Log, and user can double click any log item to view further details.

For more details, please refer to View Event Log.


Using VIA V-RAID

Create Mirror Array (RAID 1)

Create Stripe Array (RAID 0)

Create RAID 0+1

Create Span Array (JBOD)

Create RAID5

Remove Disk Array

Add/Remove Spare Disk

Synchronize Mirror Disk

Repair Broken Array

Check All Disks

View Event Log


Create Mirror Array

Create Mirror Array (RAID 1)

Mirror Array is also called RAID 1, it provides 100% data redundancy. No rebuild is necessary in case of a disk failure, simply copy data from the remaining healthy disk to the replacement disk. You can specify a disk as the auto-selected replacement disk for a Mirror Array, this replacement disk is called Spare Disk. To add/remove Spare Disk for a Mirror Array, please refer to Add/Remove Spare Disk. You can also select an ordinary disk to replace the failed disk in a Mirror Array, instead of using a Spare Disk for auto-replacement.

To create a Mirror array, click toolbar button [image] or menu item Operation => Create Mirror and the following dialog will appear:

Click 'Auto' or 'Custom' button to select an Array Creating Method, then the Create Mirror Array dialog will appear:

To add a disk into array, please select an available disk from the left side list, then click [image] button (or press Right-Arrow key). Array disks will be added in the order of Source, Mirror and Spare disk. A Spare disk can also be added or removed after a Mirror array is created, please refer to Add/Remove Spare Disk for details.

To remove a disk from array, please click the array disk, then click [image] button (or press Left-Arrow key).

Whenever a disk (array disk or available disk) is selected, its capacity and physical location will be shown in the bottom-left corner.

Principles to select Mirror Array disk:

  1. Try to select disks in different channels. If you select 'Auto' array-creating method (see the 'Select Array Creating Method' dialog above), application will do this for you. The physical location of the disks can be adjusted manually after the system shuts down.

  2. It should be taken into account that a disk whose capacity is too much different with other array disks should not be selected, or else the extra space on larger array disks will be wasted. The reason is that for each Mirror Array disk, its effective capacity (real capacity) will always be the smallest data capacity among all array disks.

Mirror Disk Synchronized flag

Refer to the above dialog box, there is a checkbox titled as 'Already Synchronized' behind the Mirror Disk heading. If the box is checked, the system will believe that the data on the Source and Mirror disk are identical. If the box is not checked, the Mirror disk and the Mirror Array will be marked with a need-sync status. Check the box if you believe useful data on the Source and Mirror disk are identical or there is no useful data on the Source disk at all. The checkbox is initially in the checked state.

Final Step

Click Create button to create the Mirror array. Message boxes will then pop up to ask for confirmation and prompt system reboot. System must be rebooted to enable the newly created Mirror array.


Create Stripe Array

Create Stripe Array (RAID 0)

Stripe Array is also called RAID 0, it implements a striped disk array and the data is broken down into blocks in which each block is written to a separate disk drive. I/O performance is greatly improved by spreading the I/O load across many channels and drives. Best performance is achieved when data is striped across multiple channels with only one drive per channel.

RAID 0 is not a "True" RAID because it is NOT fault-tolerant. The failure of just one drive will result in all data in an array being lost. It should never be used in mission critical environments.

To create a Stripe disk array, click toolbar button [image] or menu item Operation => Create Stripe ,then the following dialog will appear:

Click 'Auto' or 'Custom' button to select an Array Creating Method. Then the Create Stripe Array dialog will appear:

If you select Auto creation method, all available free disks attached on the RAID controller will be initially added into the Stripe disk array. You can deselect some disks from the Array Disks list if you don't want to use all Available Disks to create the Stripe array.

To add a disk into array, please select an available disk from the left side list, then click [image] button (or press Right-Arrow key). The array disk's order in the Stripe disk array is the same order as it was added into the array.

To remove a disk from array, please select the array disk, then click [image] button (or press Left-Arrow key).

Whenever a disk (array disk or available disk) is selected, its capacity and physical location will be shown in the bottom-left corner.

Principles to select Stripe Array disk:

  1. Try to select disks in different channels. Certainly you can adjust disks' physical position manually after shutting down the system.

  2. It should be taken into account not to select a disk whose capacity is too much different with other array disks, or else the extra space on larger array disks will be wasted. The reason is that for each Stripe Array disk, its effective capacity (real capacity) will always be the smallest data capacity among all array disks.

Select Stripe Size for the Stripe Array

Refer to above dialog box, there is a drop-down list with the title 'Stripe Size' in the bottom-right corner. Stripe Size is the basic data block size used when writing data onto each stripe array disk. The principle of selecting Stripe Size is trying to balance most data Read/Write work onto all stripe disks, so that all stripe disks can work in parallel when Read/Write a data record is requested by the system. Therefore, the smaller the average system data record is, the smaller Stripe Size should be selected when create a Stripe Array. The default Stripe Size is 4k bytes.

Final Step

Click Create button to create the Stripe array. Message boxes will then pop up to ask for confirmation and prompt system reboot. System must be rebooted to enable the newly created Stripe array.


Create Raid 0

Create RAID 0+1

RAID 0+1 is implemented as a mirrored array whose segments are RAID 0 arrays. It has the advantages both provided by RAID 0 (high I/O performance) and RAID 1 (fault tolerance). At least four disks are needed to create a RAID 0+1 disk array.

To create a RAID 0+1 disk array, click toolbar button [image] or menu item Operation => Create 0+1 ,then the following dialog will appear:

Click 'Auto' or 'Custom' button to select an Array Creating Method. Then the Create RAID 0+1 dialog will appear:

If you select Auto creation method, all available free disks attached on the RAID controller will be initially added into the RAID 0+1 disk array.

Click the two [image] buttons (hot keys: Right-Arrow key and ALT + Right-Arrow key), you can add the selected available disks into Source stripe disk list or Mirror stripe disk list one by one. Array disk's order in the Source or Mirror stripe list is the same order as it was added into the array.

To remove a disk from array, please select the array disk, then click one of the [image] buttons (or press Left-Arrow key).

Whenever a disk (array disk or available disk) is selected, its capacity and physical location will be shown in the bottom-left corner.

Principles to select RAID 0+1 disk:

  1. Try to select disks in different channels. If you select 'Auto' array-creating method (see the 'Select Array Creating Method' dialog above), application will do this for you. The physical location of the disks can be adjusted manually after the system shuts down.

  2. Better not to select a disk whose capacity is too much different with other array disks, else, the extra space on larger array disks will be wasted. The reason is that for each RAID 0+1 array disk, its effective capacity(real capacity) will always be the smallest data capacity among all array disks.

Select Stripe Size for the RAID 0+1 Array

Refer to the above dialog box, there is a drop-down list with the title 'Stripe Size' in the bottom-right corner. Stripe Size is the basic data block size used when writing data onto each stripe array disk. The principle of selecting Stripe Size is trying to balance most data Read/Write work onto all stripe disks, so that all stripe disks can work in parallel when Read/Write a data record is requested by the system. Therefore, the smaller the average system data record is, the smaller Stripe Size should be selected when create a RAID 0+1 Array. The default Stripe Size is 4k bytes.

Final Step

Click Create button to create the RAID 0+1 array. Message boxes will then pop up to ask for confirmation and prompt system reboot. System must be rebooted to enable the newly created RAID 0+1 array.


Create Span Array

Create Span Array (JBOD)

Span Array is also called JBOD (Just a Bunch Of Disks), which uses a bunch of disks as a larger disk. Span provides no fault tolerance and no I/O performance enhancement, it's just a measure to enlarge disk capacity.

To create a Span disk array, click toolbar button [image] or menu item Operation => Create Span ,then the following dialog will appear:

Click 'Auto' or 'Custom' button to select an Array Creating Method. Then the Create Span Array dialog will appear:

If you select Auto creation method, all available free disks attached on the RAID controller will be initially added into the Span disk array. You can deselect some disks from the Array Disks list if you don't want to use all Available Disks to create the Span array.

To add a disk into array, please select an available disk from the left list, then click [image] button (or press Right-Arrow key). Array disk's order in the Span disk array is same as the order it was added into the array.

To remove a disk from array, please select the array disk, then click [image] button (or press Left-Arrow key).

Whenever a disk (array disk or available disk) is selected, its capacity and physical location will be shown in the bottom-left corner.

Principles to select Span Array disk:

There are no special principles when select Span array disks.

Final Step

Click Create button to create the Span array. Message boxes will then pop up to ask for confirmation and prompt system reboot. System must be rebooted to enable the newly created Span array.


Create RAID5 Array

RAID5 Array uses block-level striping with parity data distributed across all member disks. It requires a minimum of 3 disks to implement. It has highest read data transaction rate and medium write data transaction rate. When one of the disks in RAID5 failed, the data in RAID5 can also be accessed, and the broken RAID5 disk array can be repaired with a new disk.

To create a RAID5 disk array, click toolbar button [image] or menu item Operation => Create RAID5 ,then the following dialog will appear:

Click 'Auto' or 'Custom' button to select an Array Creating Method. Then the Create RAID5 Array dialog will appear:

If you select Auto creation method, all available free disks attached on the RAID controller will be initially added into the RAID5 disk array. You can deselect some disks from the Array Disks list if you don't want to use all Available Disks to create the RAID5 array.

To add a disk into array, please select an available disk from the left side list, then click [image] button (or press Right-Arrow key). The array disk's order in the RAID5 disk array is the same order as it was added into the array.

To remove a disk from array, please select the array disk, then click [image] button (or press Left-Arrow key).

Whenever a disk (array disk or available disk) is selected, its capacity and physical location will be shown in the bottom-left corner.

Principles to select RAID5 Array disk:

  1. Try to select disks in different channels. Certainly you can adjust disks' physical position manually after shutting down the system.

  2. It should be taken into account not to select a disk whose capacity is too much different with other array disks, or else the extra space on larger array disks will be wasted. The reason is that for each RAID5 Array disk, its effective capacity (real capacity) will always be the smallest data capacity among all array disks.
  3. To create a RAID5 disk array, you must select at least 3 disks.

Final Step

Click Create button to create the RAID5 array. Message boxes will then pop up to ask for confirmation and prompt system reboot. System must be rebooted to enable the newly created RAID5 array.


Remove Disk Array

To remove a disk array, select the array's root node in Array View mode, click toolbar button [image] or menu item Operation => Remove Array . You can also right click the array node and click Remove Array on the shortcut menu, refer to following:

Message boxes will then pop up to ask for confirmation and prompt system reboot. System must be rebooted to actually delete a disk array.


Add

Add/Remove Spare Disk

Spare disk is the auto-selected replacement disk when repairing a broken Mirror (RAID 1) array. Only Mirror array can have a Spare disk. A Spare disk can be added when Creating a Mirror array, it can also be added or removed after a Mirror array is created.

To add/remove a Spare disk to/from an existing Mirror array, select the Mirror array's root node in Array View mode, click toolbar button [image] or menu item Operation => Add/Remove Spare . You can also right click the Mirror array node and click Add/Remove Spare on the shortcut menu, refer to following:

If the Mirror array has no Spare disk yet, an Add Spare Disk dialog will then appear:

All qualified free disks attached on the RAID controller will be listed in this dialog. (Note: In order to be a qualified Spare disk, a free disk's data capacity must be larger than or equal to the smaller capacity of the Source and Mirror disk in the current Mirror array. Application will pick out all qualified free disks automatically). Click OK button to add selected free disk into current Mirror array as Spare disk. Message boxes will then pop up to ask for confirmation and prompt system reboot. System must be rebooted to enable the newly added Spare disk.

If the Mirror Array already has a Spare disk, the result of executing Add/Remove Spare command will have the Spare disk removed from the Mirror array. Message boxes will pop up to ask for removal confirmation and prompt system reboot. System must be rebooted to enable the newly removed Spare disk.

To remove a Spare disk, you can also right click the Spare disk in Array View, then click Add/Remove Spare on the shortcut menu, as following picture shows:


Synchronize Mirror Disk

For RAID 1 (Mirror Array) and RAID 0+1, to provide fault tolerance, useful data on all Mirror disks must be identical with the corresponding Source disks. This can be guaranteed by directly synchronizing Mirror disks with Source disks.

Sometimes data on the Mirror disk maybe newer than Source disk, for example, when Source disk is absent and the Mirror disk runs in the tolerance mode. So, the exact meaning of Synchronize Mirror is to make a pair of Source and Mirror disks have identical data. Synchronize Mirror does not mean data on the Source disk is always newer, so the data copy direction is not always from Source disk to Mirror disk. During synchronization, the Synchronize Mirror dialog will show the real data copy direction. Although the Mirror disk may have more updated data, VIA V-RAID always mark the Mirror disk with a special icon [image] when it find a pair of Source and Mirror disks do not have identical data.

To synchronize a Mirror disk with corresponding Source disk, you can right click the Mirror disk in Array View, then click Synchronize Mirror on the shortcut menu, as following picture shows:

You can also right click the root node of a RAID1 or RAID0+1 array, then execute Synchronize Mirror or Synchronize All Mirror Disks from the shortcut menu, as following pictures show:

After synchronization has started, a dialog will appear to show the information about the current Source-Mirror disk pair being synchronized, and the progress of current sync operation:

The sync process can be paused or canceled at any time. The starting and completing of a sync operation will be recorded in the event log, like following:


Repair Broken Array

A disk array is broken when any of its disk members could not function properly. The only exception is the Spare disk of a RAID 1. Since Spare disk only acts as a replacement disk in case of Source or Mirror disk failure, the malfunction of a Spare disk doesn't affect the normal operation of a RAID 1 disk array. In other words, the failure of a Spare disk doesn't break a RAID 1 disk array. Besides Spare disk, any array disk failure will cause a disk array broken.

There exists a special array disk failure: the absence of an array disk. If a disk array is broken because of an absent/missing array disk, simply plug it back and the broken array will be fixed.

Both Stripe (RAID 0) array and Span (JBOD) array provide no data redundancy, hence in case of an array disk failure (disk exist but failed or disk can not be found), the disk array will be broken and can never be repaired. So for these two types of disk array, backing up data is a must in case of an array broken situation.

Both Mirror (RAID 1) array and RAID 0+1 array provide 100% data redundancy. So if one disk in a Source-Mirror pair fails, we can use a replacement disk to rebuild the failed one by duplicating the left disk in this Source-Mirror disk pair. But if both disks in a Source-Mirror pair failed (disk exist but failed or disk can not be found), the disk array will then be totally broken and can never be repaired.

For Mirror (RAID 1) array, if it has a Spare disk and the Spare disk is ok, application will use the Spare disk to repair the broken Mirror array. For example, use the Spare disk to replace the failed Source or Mirror disk. If the Mirror array has no Spare disk, application will search for a qualified (large enough) free disk attached on the RAID controller, and use it to replace the failed array disk.

For fixing a broken RAID 0+1 array, application will search for a qualified (large enough) free disk attached on the RAID controller, and use it to replace the failed array disk, just like repairing a broken Mirror (RAID 1) array without a Spare disk.

To use the VIA V-RAID for repairing a broken disk array, just right click the broken array's root node in Array View, execute the Repair Broken Array command on the shortcut menu and then follow the steps in array-repairing wizard. Please refer to the following picture:

To pay attention, after replacing a failed source or mirror disk in the wizard, you should synchronize the new Source-Mirror disk pair. For how to synchronize a mirror disk, please refer to Synchronize Mirror Disk .


Check All Disks

At any time, you can check if all hard disks work normally by executing the Check All Disks command.

To execute the command, please click toolbar button [image] or menu item Operation => Check All Disks.

After checking completed, a dialog will pop up to show each disk's current status, as following picture shows:


View Event Log

VIA V-RAID record important events into a log file, such as Disk Array Creation/ Removal, Disk Failure, Synchronization...etc.

To view the log, just click toolbar button [image] or menu item Operation => View Event Log , the event log will be displayed as below:

There are three types of log items: Information( [image]), Warning( [image]), Error( [image]).

To view details of any log item, you can double click the row, select the row and press Enter key or execute the menu item Operation => View Detail in the above dialog box, the following dialog will appear:

Click [image] or [image] button to browse next or previous log item.

You can clear all log items by execute Operation => Clear All on the RAID Event Log dialog, refer to the following picture:


Array and Device Status

Disk Array and Device (mean Disk here) may have different status, such as warning, error, need sync, need reboot...etc. VIA V-RAID uses various icons to imply these different status. Detail status information is displayed in right pane of the application window when a disk array or disk is selected in left pane, following is an example (a disk array with broken status):

Following table lists all possible array and device icons, as well as the status these icons represent:

 Normal disk array

Disk array with warning status

Broken disk array

Normal array disk

Absent array disk

Array disk with error

Array disk with warning status

the pair of Source and Mirror disks should be synchronized ( note: data on the Mirror disk maybe newer, although only a Mirror disk may have this look )

Array disk which need system reboot to enable its function ( note: may also has other status, refer to the status description in application window's right pane for details )


.topic 1
Available disks which can be added to current disk array.

.topic 2
Disks which have been added into current array.

.topic 3
Source Stripe Disks in current Raid0+1 array.

.topic 4
Mirror Stripe Disks in current Raid0+1 array.

.topic 5
Select stripe size for current Raid0+1 array.

.topic 6
Click this button to add selected available disk into current Raid0+1 array
as a Source Stripe Disk.

.topic 7
Click this button to remove selected Source Stripe Disk from current Raid0+1 array.

.topic 8
Click this button to add selected available disk into current Raid0+1 array
as a Mirror Stripe Disk.

.topic 9
Click this button to remove selected Mirror Stripe Disk from current Raid0+1 array.


.topic 1
Available disks which can be added to current disk array.

.topic 2
Disks which have been added into current array.

.topic 3
The Source Disk of current Mirror Array.

.topic 4
The Mirror Disk of current Mirror Array.

.topic 5
Wheck checked, means the Mirror Disk is already synchronized with the Source Disk.
If not checked, the Mirror Disk will be displayed as a special warning icon.

.topic 6
The Spare Disk of current Mirror Array. Spare Disk is optional for a Mirror Array.

.topic 7
Click this button to add selected available disk into disk array.

.topic 8
Click this button to remove selected disk from disk array.


.topic 1
Available disks which can be added to this RAID5.

.topic 2
Disks which have been added into this RAID5.

.topic 3
Click this button to add selected available disk into this RAID5.

.topic 4
Click this button to remove selected disk from this RAID5.

.topic 5
Select stripe size for this RAID5.


.topic 1
Available disks which can be added to this Span array.

.topic 2
Disks which have been added into this Span array.

.topic 3
Click this button to add selected available disk into this Span array.

.topic 4
Click this button to remove selected disk from this Span array.


.topic 1
Available disks which can be added to this Stripe array.

.topic 2
Disks which have been added into this Stripe array.

.topic 3
Click this button to add selected available disk into this Stripe array.

.topic 4
Click this button to remove selected disk from this Stripe array.

.topic 5
Select stripe size for this Stripe array.


About Context Menu

The user can use context menu by right click at some items in tree view or list view. According the type of device related to it, the menu items will be changed. The followings are some example situations to use context menu:

Remove Array:

Add/Remove Spare Disk:


Mark Mirror Disk as Synchronized

To provide fault tolerance for RAID 1 (Mirror Array) and RAID 0+1, useful data on all Mirror disks must be same as their corresponding Source disks. But we don't care whether un-useful data on the source and mirror disks are identical or not. For example, we use two disks to create a new Mirror array, both disks already have some data before they join the new Mirror array. Although data on these two disks maybe obviously different, we can still say this source and mirror disk pair is synchronized except that you want to keep and use the old data on the source disk. If the old data is not kept, then there will be no useful data on this pair of disks and thus they are synchronized.

The Mark Mirror Disk as Synchronized function does give us an opportunity to tell the RAID application that we know a pair of source and mirror disks are synchronized despite the fact that the application may have found some different data blocks on them. Application will use a [image] icon to represent an un-sync mirror disk (note: data on the mirror disk maybe older or newer). If you are sure that all useful data on this disk pair are identical, you can right click the mirror disk's icon in Array View, and execute the Mark Mirror Disk as Synchronized command on the shortcut menu, as shown in below (an example of RAID 1, the operation is same for RAID 0+1 ) :

After the operation, the mirror disk's icon will change back to the normal one: .


Verify Mirror Disk

For RAID 1 (Mirror Array) and RAID 0+1, to provide fault tolerance, useful data on all Mirror disks must be the same with their corresponding Source disks. By executing the Verify Mirror Disk command, you can check/verify if Mirror disks are synchronized with their corresponding Source disks.

To verify a Mirror disk, you can right click the Mirror disk in Array View, then click Verify Mirror on the shortcut menu, as following picture shows:

You can also right click the root node of a RAID1 or RAID0+1 array, then execute Verify Mirror or Verify All Mirror Disks from the shortcut menu, as following pictures show:

After initiated verification command, a dialog will show the information about current Source-Mirror disk pair being verified, and the progress of current verification process:

The verification process can be paused or canceled at any time.

When verification finds a Mirror disk that is NOT identical with the corresponding Source disk, the Mirror disk will be marked with need-sync flag, whose icon displayed in the Array View will look like [image]. A need-sync Mirror disk should be synchronized as soon as possible. For instructions on how to synchronize a Mirror disk, please refer to Synchronize Mirror Disk .